Skip to main content
GET
/
v1
/
public
/
payment-status
curl
# Look up by session ID
curl "https://api.paybridgenp.com/v1/public/payment-status?query=cs_01j9x2k3m4n5p6q7r8s9t0u1v2"

# Look up by order ID
curl "https://api.paybridgenp.com/v1/public/payment-status?query=order_123"
{
  "lookup": {
    "query": "<string>",
    "matchedBy": "payment_id",
    "type": "payment",
    "lookbackMonths": 6
  },
  "status": {
    "code": "pending",
    "label": "Succeeded",
    "summary": "This payment was completed successfully.",
    "terminal": true,
    "autoRefresh": true,
    "refreshIntervalMs": 10000
  },
  "merchant": {
    "name": "<string>",
    "logoUrl": "<string>",
    "verified": true
  },
  "amount": {
    "value": 123,
    "currency": "<string>",
    "display": "100.00"
  },
  "provider": {
    "id": "<string>",
    "label": "eSewa"
  },
  "payment": {
    "id": "<string>",
    "status": "<string>",
    "providerRef": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "session": {
    "id": "<string>",
    "status": "<string>",
    "expiresAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "referenceId": "<string>"
  },
  "references": {
    "orderId": "<string>",
    "linkReferenceId": "<string>",
    "providerRef": "<string>"
  },
  "mode": "sandbox",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.paybridgenp.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

query
string
required

Any of:

  • Payment ID — starts with pay_
  • Session ID — starts with cs_
  • Order ID — value of metadata.order_id or metadata.orderId
  • Provider reference — reference number from eSewa, Khalti, etc.
  • Payment link reference — link's reference ID
Required string length: 3 - 120

Response

Payment or session status found.

lookup
object
status
object
merchant
object
amount
object
provider
object
payment
object
session
object
references
object
mode
enum<string>
Available options:
sandbox,
live
updatedAt
string<date-time> | null